Page MenuHomePhabricator

Create a new wiki for Wikimedia Bangladesh
Closed, ResolvedPublic

Description

Please create the chapter wiki, Wikimedia Bangladesh. The creation of this chapter is currently under processing. A chapter wiki is needed for online collaboration among volunteers.

URL: http://bd.wikimedia.org
Primary site language: Bengali (bn)
Site name: Wikimedia Bangladesh
Logo: http://commons.wikimedia.org/wiki/File:Wikimedia_Bangladesh-logo_en.png

Other settings will be as usual like any normal Wikimedia sites. Feel free to ask question (about settings or anything) if you have any. See also:

[1] http://meta.wikimedia.org/wiki/Wikimedia_Bangladesh
[2] http://meta.wikimedia.org/wiki/Wikimedia_chapters#Planned_chapters

Thanks in advance!


Version: unspecified
Severity: enhancement

Details

Reference
bz31096

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:48 PM
bzimport set Reference to bz31096.
bzimport added a subscriber: Unknown Object (MLST).

Translation for Project and project talk namespaces:

Project --> উইকিমিডিয়া বাংলাদেশ
Project talk --> উইকিমিডিয়া বাংলাদেশ আলোচনা

Thanks!

RobH added a comment.Oct 7 2011, 2:05 PM

Tanvir, You need to link to a logo that is the proper size. Those are far too large is my understanding. Otherwise the project is not yet done, and I have to escalate it to a DEV due to script issues.

Initilizesettings is updated, along with DNS.

The rest of this is pretty much notes for our use in setting this up:

Upon running the script, I get the following:

robh@fenari:/home/wikipedia/common/wmf-deployment$ mwscript addwiki.php --wiki=aawiki bn wikimedia bdwikimedia bd.wikimedia.org
$wgVersionNumber is not set, please use MWScript.php wrapper.
robh@fenari:/home/wikipedia/common/wmf-deployment$ mwscript addwiki.php bn wikimedia bdwikimedia bd.wikimedia.org
wikiversions.cdb has no version entry for bn.

Assigning ticket to Aaron, as this is due to HET deploy changes that he made, under advisement from Reedy.

The DNS change has been made, so this is no longer an ops blocking issue. Any dev with deployment rights can now push new wikis.

That being said, whoever fixes this script, NEEDS to update http://wikitech.wikimedia.org/view/Add_a_wiki

RobH added a comment.Oct 7 2011, 2:07 PM

Oh, in addition, the apache config changes have been made and rolled live. Basically only addwiki and the other remaining steps (minus dns) that come after it on the how to add a wiki page need to be done.

Rob, what is the proper size of the logo? Like this one: http://commons.wikimedia.org/wiki/File:Wikimedia-logo-meta.png ? If so, then I can just reduce the size.

aaron added a comment.Oct 7 2011, 7:19 PM

Het Deploy problem fixed in r99231.

Running that addwiki command I get:
aaron@fenari:~$ mwscript addwiki.php --wiki=aawiki bn wikimedia bdwikimedia bd.wikimedia.org
Creating database bdwikimedia for bn.wikimedia (বাà¦à¦²à¦¾)
Initialising tables
A database error has occurred. Did you forget to run maintenance/update.php after upgrading? See: http://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: CREATE FULLTEXT INDEX si_title ON searchindex (si_title)

Function: DatabaseBase::sourceFile( /home/wikipedia/common/php-1.18/maintenance/tables.sql )
Error: 1283 Column 'si_title' cannot be part of FULLTEXT index (10.0.6.44)

RobH added a comment.Oct 7 2011, 7:30 PM

Tanvir,

Correct, you need to reduce the resolution and file size to match the standard logo specifications.

Otherwise we are still actively working on getting this project deployed for you guys. The logo is not in any shape or form holding this up. The background information is we recently made some major changes to our method of deploying code across our cluster, and this project just happens to be the lucky first new project addition since the change.

Rest assured, we are actively trying to get this online for you guys =]

Here is the logo with reduced size:
http://commons.wikimedia.org/wiki/File:Wikimedia_Bangladesh_site_logo.png

Thank you very much for your effort.

Added bug 31624 which blocks this one.

danny.leinad wrote:

[[:bd:]] interwiki is not working, please enable it.

Reedy added a comment.Nov 1 2011, 7:56 PM

(In reply to comment #11)

[[:bd:]] interwiki is not working, please enable it.

Add it to the interwiki map, and then request and interwiki map update to the cluster

danny.leinad wrote:

(In reply to comment #12)

(In reply to comment #11)

[[:bd:]] interwiki is not working, please enable it.

Add it to the interwiki map, and then request and interwiki map update to the
cluster

On http://meta.wikimedia.org/wiki/Interwiki_map there are listed only interwikis like "[[:wmde:]]", "[[:wmpl:]]", interwikis like "[[🇩🇪]]", "[[:pl:]]" not exist there, but are working.

So shall I add to interwiki map [[:bd:]], or [[:wmbd:]], or both?

(In reply to comment #13)

So shall I add to interwiki map [[:bd:]], or [[:wmbd:]], or both?

I think both can be added.

Resolved. I added only [[:wmbd:]] in the interwiki map. Rather not using [[:bd:]] as WMBD wiki is not a content wiki.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 13 2016, 10:14 AM